%define	module	Cache
%define	name	perl-%{module}
%define	version	2.04
%define	release	%mkrel 7
%define	_requires_exceptions	perl(warnings::register)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Cache interface
License:	GPL
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Cache/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(File::NFSLock)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Heap)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::SHA1)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
%{module} perl module

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorlib}/Cache*
%{_mandir}/man3/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-7mdv2009.0
+ Revision: 241153
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-5mdv2008.0
+ Revision: 85921
- rebuild


* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-4mdk
- spec cleanup
- better summary
- better buildrequires syntax
- better source URL
- buildrequires perl(Diget::SHA1)

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-2mdk
- Fix BuildRequires

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.04-1mdk
- 2.04
- enable tests
- fix URL
- BuildRequires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.03-1mdk
- initial Mandriva release

